/** 
 *******************************************************************************
 * @file    safety_analog_in.h
 * @brief   This file provides all the functions prototypes for Safety Library - ANALOG IN.
 * @version V0.1.0.1
 * $Date:: 2018-03-07 15:55:49 #$
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef _SAFETY_ANALOG_IN_H
#define _SAFETY_ANALOG_IN_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "txz_safety_def.h"

/**
 *  @addtogroup Safety_Library Safety Library
 *  @{
 */

/** 
 *  @addtogroup ANALOG_IN_Test ANALOG IN Test
 *  @{
 */
/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup ANALOG_IN_Test_Exported_define ANALOG_IN_Test Exported Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group ANALOG_IN_Test_Exported_define */

/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup ANALOG_IN_Test_Exported_define ANALOG_IN_Test Exported Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group ANALOG_IN_Test_Exported_define */

/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup ANALOG_IN_Test_Exported_typedef ANALOG_IN_Test Exported Typedef
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group ANALOG_IN_Test_Exported_typedef */

/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup ANALOG_IN_Test_Exported_functions ANALOG_IN_Test Exported Functions
 *  @{
 */
  
bool safety_AIN_PE4(uint32_t *p_value);
bool safety_AnalogIn(uint32_t *result_word);

/**
 *  @}
 */ /* End of group ANALOG_IN_Test_Exported_functions */

/**
 *  @}
 */ /* End of group ANALOG_IN_Test */

/**
 *  @}
 */ /* End of group Safety_Library */

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* _SAFETY_ANALOG_IN_H */


