/** 
 *******************************************************************************
 * @file    safety_clock.h
 * @brief   This file provides all the functions prototypes for Safety Library - CLOCK.
 * @version V0.1.0.1
 * $Date:: 2018-03-07 15:55:49 #$
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef _SAFETY_CLOCK_H
#define _SAFETY_CLOCK_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "txz_safety_def.h"

/**
 *  @addtogroup Safety_Library Safety Library
 *  @{
 */

/** 
 *  @addtogroup CLOCKTest CLOCK Test
 *  @{
 */
/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup CLOCKTest_Exported_define CLOCKTest Exported Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group CLOCKTest_Exported_define */

/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup CLOCKTest_Exported_define CLOCKTest Exported Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group CLOCKTest_Exported_define */

/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup CLOCKTest_Exported_typedef CLOCKTest Exported Typedef
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group CLOCKTest_Exported_typedef */

/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup CLOCKTest_Exported_functions CLOCKTest Exported Functions
 *  @{
 */
 
bool safety_CLOCK(uint32_t clock_id, uint32_t high_clock, uint32_t low_clock);

/**
 *  @}
 */ /* End of group CLOCKTest_Exported_functions */

/**
 *  @}
 */ /* End of group CLOCKTest */

/**
 *  @}
 */ /* End of group Safety_Library */

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* _SAFETY_CLOCK_H */


