/** 
 *******************************************************************************
 * @file    safety_cpu_pc.h
 * @brief   This file provides all the functions prototypes for Safety Library - CPUPC.
 * @version V0.1.0.1
 * $Date:: 2018-03-07 15:55:49 #$
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef __CPUPC_H
#define __CPUPC_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "txz_safety_def.h"

/**
 *  @addtogroup Safety_Library Safety Library
 *  @{
 */

/** 
 *  @addtogroup CPUPC CPU PC
 *  @{
 */
/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup CPUPC_Exported_define CPUPC Exported Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group CPUPC_Exported_define */

/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup CPUPC_Exported_define CPUPC Exported Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group CPUPC_Exported_define */

/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup CPUPC_Exported_typedef CPUPC Exported Typedef
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group CPUPC_Exported_typedef */

/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup CPUPC_Exported_functions CPUPC Exported Functions
 *  @{
 */
 
bool safety_CPU_ProgramCounter(void);

/**
 *  @}
 */ /* End of group CPUPC_Exported_functions */

/**
 *  @}
 */ /* End of group CPUPC */

/**
 *  @}
 */ /* End of group Safety_Library */

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __CPUPC_H */


