/** 
 *******************************************************************************
 * @file    safety_cpu_reg.h
 * @brief   This file provides all the functions prototypes for Safety Library - CPUREG.
 * @version V0.1.0.1
 * $Date:: 2018-03-07 15:55:49 #$
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef __CPUREG_H
#define __CPUREG_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "txz_safety_def.h"

/**
 *  @addtogroup Safety_Library Safety Library
 *  @{
 */

/** 
 *  @addtogroup CPUREG CPU REG
 *  @{
 */
/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup CPUREG_Exported_define CPUREG Exported Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group CPUREG_Exported_define */

/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup CPUREG_Exported_define CPUREG Exported Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group CPUREG_Exported_define */

/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup CPUREG_Exported_typedef CPUREG Exported Typedef
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group CPUREG_Exported_typedef */

/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup CPUREG_Exported_functions CPUREG Exported Functions
 *  @{
 */

bool safety_CPU_Register(uint32_t *result_word);

/**
 *  @}
 */ /* End of group CPUREG_Exported_functions */

/**
 *  @}
 */ /* End of group CPUREG */

/**
 *  @}
 */ /* End of group Safety_Library */

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __CPUREG_H */


