/** 
 *******************************************************************************
 * @file    safety_digital_io.h
 * @brief   This file provides all the functions prototypes for Safety Library - DIGITAL IO.
 * @version V0.1.0.1
 * $Date:: 2018-03-07 15:55:49 #$
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef _SAFETY_DIGITAL_IO_H
#define _SAFETY_DIGITAL_IO_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "txz_safety_def.h"

/**
 *  @addtogroup Safety_Library Safety Library
 *  @{
 */

/** 
 *  @addtogroup CLOCKTest DIGITALIO Test
 *  @{
 */
/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup DIGITAL_IO_Test_Exported_define DIGITAL_IO_Test Exported Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group DIGITAL_IO_Test_Exported_define */

/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup DIGITAL_IO_Test_Exported_define DIGITAL_IO_Test Exported Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group DIGITAL_IO_Test_Exported_define */

/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup DIGITAL_IO_Test_Exported_typedef DIGITAL_IO_Test Exported Typedef
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group DIGITAL_IO_Test_Exported_typedef */

/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup DIGITAL_IO_Test_Exported_functions DIGITAL_IO_Test Exported Functions
 *  @{
 */
 
uint32_t safety_DIN_PE2(void);
void safety_DOUT_PJ0(uint32_t output);
bool safety_DigitalIO(uint32_t *result_word);

/**
 *  @}
 */ /* End of group DIGITAL_IO_Test_Exported_functions */

/**
 *  @}
 */ /* End of group DIGITAL_IO_Test */

/**
 *  @}
 */ /* End of group Safety_Library */

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* _SAFETY_DIGITAL_IO_H */


