/** 
 *******************************************************************************
 * @file    safety_flash.h
 * @brief   This file provides all the functions prototypes for Safety Library - FLASH.
 * @version V0.1.0.2
 * $Date:: 2019-02-20 15:55:49 #$
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef _SAFETY_FLASH_H
#define _SAFETY_FLASH_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "txz_safety_def.h"

/**
 *  @addtogroup Safety_Library Safety Library
 *  @{
 */

/** 
 *  @addtogroup FLASHTest FLASH Test
 *  @{
 */
/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup FLASHTest_Exported_define FLASHTest Exported Define
 *  @{
 */

#define CRC32          0
#define CRC16          1
#define CRC            CRC32

/**
 *  @}
 */ /* End of group FLASHTest_Exported_define */

/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup FLASHTest_Exported_define FLASHTest Exported Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group FLASHTest_Exported_define */

/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup FLASHTest_Exported_typedef FLASHTest Exported Typedef
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group FLASHTest_Exported_typedef */

/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup FLASHTest_Exported_functions FLASHTest Exported Functions
 *  @{
 */
 
bool safety_FLASH(uint32_t start, uint32_t length, uint32_t crc32_value);

/**
 *  @}
 */ /* End of group FLASHTest_Exported_functions */

/**
 *  @}
 */ /* End of group FLASHTest */

/**
 *  @}
 */ /* End of group Safety_Library */

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* _SAFETY_FLASH_H */


