/** 
 *******************************************************************************
 * @file    safety_interrupt.h
 * @brief   This file provides all the functions prototypes for Safety Library - INTERRUPT.
 * @version V0.1.0.1
 * $Date:: 2018-03-07 15:55:49 #$
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef _SAFETY_INTERRUPT_H
#define _SAFETY_INTERRUPT_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "txz_safety_def.h"

/**
 *  @addtogroup Safety_Library Safety Library
 *  @{
 */

/** 
 *  @addtogroup INTERRUPT_Test INTERRUPT Test
 *  @{
 */
/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup INTERRUPT_Test_Exported_define INTERRUPT_Test Exported Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group INTERRUPT_Test_Exported_define */

/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup INTERRUPT_Test_Exported_define INTERRUPT_Test Exported Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group INTERRUPT_Test_Exported_define */

/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup INTERRUPT_Test_Exported_typedef INTERRUPT_Test Exported Typedef
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group INTERRUPT_Test_Exported_typedef */

/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup INTERRUPT_Test_Exported_functions INTERRUPT_Test Exported Functions
 *  @{
 */

void safety_interrupt_irq_handler(void);

bool safety_Interrupt(int timer_id, uint32_t *result_word);

/**
 *  @}
 */ /* End of group INTERRUPT_Test_Exported_functions */

/**
 *  @}
 */ /* End of group INTERRUPT_Test */

/**
 *  @}
 */ /* End of group Safety_Library */

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* _SAFETY_INTERRUPT_H */

