/** 
 *******************************************************************************
 * @file    safety_ram.h
 * @brief   This file provides all the functions prototypes for Safety Library - RAM.
 * @version V0.1.0.1
 * $Date:: 2018-03-07 15:55:49 #$
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef _SAFETY_RAM_H
#define _SAFETY_RAM_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "txz_safety_def.h"

/**
 *  @addtogroup Safety_Library Safety Library
 *  @{
 */

/** 
 *  @addtogroup RAMTest RAM Test
 *  @{
 */
/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup RAMTest_Exported_define RAMTest Exported Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group RAMTest_Exported_define */

/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup RAMTest_Exported_define RAMTest Exported Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group RAMTest_Exported_define */

/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup RAMTest_Exported_typedef RAMTest Exported Typedef
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group RAMTest_Exported_typedef */

/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup RAMTest_Exported_functions RAMTest Exported Functions
 *  @{
 */
 
bool safety_RAM(uint32_t start, uint32_t length, uint32_t *result_word);

/**
 *  @}
 */ /* End of group RAMTest_Exported_functions */

/**
 *  @}
 */ /* End of group RAMTest */

/**
 *  @}
 */ /* End of group Safety_Library */

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* _SAFETY_RAM_H */


