/**
 *******************************************************************************
 * @file    txz_safety_def.h
 * @brief   All common macro and definition for TXZ safety libraries
 * @version V0.1.0.1
 * $Date:: 2018-03-07 15:55:49 #$
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TXZ_SAFETY_DEF_H
#define __TXZ_SAFETY_DEF_H

#ifdef __cplusplus
 extern "C" {
#endif

/** @addtogroup Safety_Library Safety Library
  * @{
  */

/** @defgroup TXZ_SAFETY_DEF TXZ SAFETY DEF
  * @brief All common macro and definition for TXZ safety libraries
  * @{
  */

/** @defgroup Device_Header_Included Device Header Included
  * @brief Include the Device header file of a Target.
  * @{
  */
#include "TMPM4KxA.h"  /*!< TMPM4Kx Group Header file. */
/**
 *  @} 
 */ /* End of group Device_Header */

// bool definition in plain C (not C++)

// bool definition in EWARM C (not C++) build
// this is from arm\inc\stdbool.h
#ifndef __cplusplus

// check multiple define
#ifndef true
//#define bool _Bool
typedef _Bool bool;
#define true 1
#define false 0
#endif
	
#endif /* !__cplusplus */

// NULL define
#ifndef SAFETY_NULL
#define SAFETY_NULL		((void *)0)    /*!< NULL. */
#endif

// DEBUG define
#ifndef NDEBUG
#include <stdio.h>
// message output in DEBUG build
// use DEBUGMSG(1, ("message %s", string)) kind of forms to pass multiple arguments
// #define DEBUGMSG(x, y)		(((x)?((void)printf y),1:0))
#define DEBUGMSG(x, y)		if(x){((void)printf y);}
#else
// if you would like debug in "RELEASE" build, enable following and make build option 
// general - library option - low level library option as semi-hosting
//#include <stdio.h>
//#define DEBUGMSG(x, y)		((void)((x)?(printf y),1:0))
#define DEBUGMSG(x, y)          ((void)0)
#endif
/**
 *  @} 
 */ /* End of group TXZ_SAFETY_DEF */

/**
 *  @} 
 */ /* End of group Safety_Library */

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __TXZ_SAFETY_DEF_H */
